Skip to main content
POST
/
controls
/
{org}
Create a control
curl --request POST \
  --url https://app.kosli.com/api/v2/controls/{org} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "identifier": "<string>",
  "name": "<string>",
  "description": "<string>",
  "links": {}
}
'
{
  "identifier": "<string>",
  "name": "<string>",
  "version": 123,
  "created_by": "<string>",
  "description": "<string>",
  "links": {},
  "created_at": 123,
  "tags": {},
  "archived": false,
  "policies_referencing": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Body

application/json
identifier
string
required
Maximum string length: 256
name
string
required
description
string | null

Response

Successful Response

identifier
string
required
name
string
required
version
integer
required
created_by
string
required
description
string | null
created_at
number | null
tags
Tags · object
archived
boolean
default:false
policies_referencing
string[] | null
Last modified on June 25, 2026